include	clib.inc
include	dos.inc

PPROC	getfattr, File:DPTR
  ifdef __LFN__
	mov	al,_ifsmgr
	test	al,al
  endif
	MPUSH	ds
	MLDS	dx,File
	mov	ax,4300h
  ifdef __LFN__
	jz	getfattr_21
	stc
	mov	ax,7143h
	mov	bl,0
    getfattr_21:
  endif
	int	21h
	MPOP	ds
	jc	getfattr_err
	mov	ax,cx
    getfattr_end:
	ret
    getfattr_err:
	call	@dosmaper
	mov	ax,-1
	jmp	getfattr_end
PEND	getfattr

	END
